## psortb 3.0.6+dfsg

=== psort/server/rpc/Makefile ===
all: psort

psort:
	make_method classify --base=classify

clean:
	rm -f *~

## psortb 3.0.4%2Bdfsg

=== debian/control ===
Source: psortb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               libsvm-dev,
               bioperl,
               ncbi-blast+-legacy,
               libsquid-dev (>= 1.9g+cvs20050121-9~),
               libhmmer2-dev (>= 2.3.2+dfsg-2~),
               libsvmloc-dev,
               libmodhmm-dev,
               pkg-config,
               pftools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/psortb.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/psortb.git
Homepage: http://www.psort.org/

Package: psortb
Architecture: any
Depends: ${shlibs:Depends},
         ${perl:Depends},
         ${misc:Depends},
         pftools
Description: bacterial localization prediction tool
 PSORTb enables prediction of bacterial protein subcellular localization
 (SCL) and provides a quick and inexpensive means for gaining insight
 into protein function, verifying experimental results, annotating newly
 sequenced bacterial genomes, detecting potential cell surface/secreted
 drug targets, as well as identifying biomarkers for microbes.

## psortb 3.0.4+dfsg

=== debian/changelog ===
psortb (3.0.4+dfsg-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Andreas Tille <tille@debian.org>  Wed, 04 Oct 2017 14:13:30 +0200

psortb (3.0.4+dfsg-2) unstable; urgency=medium

  * Fix root dir in config file
  * Add pftools to Build-Depends since it is checked in build process

 -- Andreas Tille <tille@debian.org>  Fri, 05 May 2017 13:24:47 +0200

psortb (3.0.4+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #861081)

 -- Andreas Tille <tille@debian.org>  Sun, 30 Apr 2017 07:30:26 +0200

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	if [ -x psort/bin/psort.debsave ] ; then \
	    mv psort/bin/psort.debsave psort/bin/psort ; \
	fi

override_dh_auto_configure:
	cp -a psort/bin/psort psort/bin/psort.debsave
	dh_auto_configure

override_dh_auto_build:
	# hack around the issue that configure injects wrong root dir /usr/local/psortb
	mv psort/bin/psort.debsave psort/bin/psort
	dh_auto_build

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/$(DEBPKGNAME)/usr/lib/psort/conf/analysis/signal/archaea/check-sig

## psortb 3.0.5+dfsg

=== debian/changelog ===
psortb (3.0.5+dfsg-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Enable build with -Wl, --as-needed
    Closes: #895344

  [ Andreas Tille ]
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org

 -- Andreas Tille <tille@debian.org>  Tue, 10 Apr 2018 09:01:11 +0200

psortb (3.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version

  [ Carnë Draug ]
  * d/control: enable autopkgtest with pkg-perl default tests; add missing
    runtime dependencies on bioperl and Algorithm::SVM.

  [ Steffen Moeller ]
  * d/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness
  * d/copyright: removed tailing ":" from upstream name

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Tue, 20 Feb 2018 18:25:29 +0100

=== debian/control ===
Source: psortb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 11~),
               libsvm-dev,
               bioperl,
               ncbi-blast+-legacy,
               libsquid-dev,
               libhmmer2-dev,
               libsvmloc-dev,
               libmodhmm-dev,
               pkg-config,
               pftools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/psortb
Vcs-Git: https://salsa.debian.org/med-team/psortb.git
Homepage: http://www.psort.org/

Package: psortb
Architecture: any
Depends: ${shlibs:Depends},
         ${perl:Depends},
         ${misc:Depends},
         libbio-perl-perl,
         libalgorithm-svm-perl,
         pftools
Description: bacterial localization prediction tool
 PSORTb enables prediction of bacterial protein subcellular localization
 (SCL) and provides a quick and inexpensive means for gaining insight
 into protein function, verifying experimental results, annotating newly
 sequenced bacterial genomes, detecting potential cell surface/secreted
 drug targets, as well as identifying biomarkers for microbes.

## psortb 3.0.6%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
@@ -26,4 +26,4 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod +x debian/$(DEBPKGNAME)/usr/lib/psort/conf/analysis/signal/archaea/check-sig
+	chmod +x debian/$(DEB_SOURCE)/usr/lib/psort/conf/analysis/signal/archaea/check-sig

## psortb 3.0.6+dfsg

=== debian/changelog ===
psortb (3.0.6+dfsg-5) unstable; urgency=medium

  * d/control: build depends on perl-xs-dev. (Closes: #1102847)
  * d/clean: cleanup a few more files. (Closes: #1048520)
  * d/watch: convert to v5 untrackable watch file.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/patches/*: fix dep3 headers.

 -- Étienne Mollier <emollier@debian.org>  Thu, 13 Nov 2025 19:38:08 +0100

psortb (3.0.6+dfsg-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Add missing header file
    Closes: #1070459
  * Standards-Version: 4.7.0 (routine-update)

  [ Étienne Mollier ]
  * add_missing_header.patch: supplement to finish fixing ftbfs.
  * d/control: add myself to uploaders.
  * d/control: migrate to pkgconf.

 -- Étienne Mollier <emollier@debian.org>  Sun, 26 May 2024 09:32:14 +0200

psortb (3.0.6+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/control: psortb now depends on libbio-perl-run-perl, fixing autopkgtest
    failures.
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sun, 24 Apr 2022 11:08:10 +0200

psortb (3.0.6+dfsg-2) unstable; urgency=medium

  * Team Upload.

  [ Steffen Möller ]
  * Update metadata with ref to conda

  [ Nilesh Patra ]
  * Update "Depends"
  * Fix module path to fix tests
  * Drop compat, switch to debhelper-compat
  * Add "Rules-Requires-Root: no"
  * Switch to https
  * Bump standards version to 4.5.0

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 21 Feb 2020 14:29:27 +0530

psortb (3.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 22:03:35 +0200

=== debian/control ===
Source: psortb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libsvm-dev,
               bioperl,
               ncbi-blast+-legacy,
               libsquid-dev,
               libhmmer2-dev,
               libsvmloc-dev,
               libmodhmm-dev,
               perl-xs-dev,
               pkgconf,
               pftools,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/psortb
Vcs-Git: https://salsa.debian.org/med-team/psortb.git
Homepage: https://www.psort.org/

Package: psortb
Architecture: any
Depends: ${shlibs:Depends},
         ${perl:Depends},
         ${misc:Depends},
         libbio-perl-perl,
         libbio-perl-run-perl,
         libalgorithm-svm-perl,
         pftools,
	 librpc-xml-perl
Description: bacterial localization prediction tool
 PSORTb enables prediction of bacterial protein subcellular localization
 (SCL) and provides a quick and inexpensive means for gaining insight
 into protein function, verifying experimental results, annotating newly
 sequenced bacterial genomes, detecting potential cell surface/secreted
 drug targets, as well as identifying biomarkers for microbes.

=== debian/watch ===
Version: 5
Untrackable: web page guards against bots, download by hand.

Source: https://www.psort.org/downloads
Matching-Pattern: .*/bio-tools-psort-all.(\d[.\d]+)\.tar\.gz
DVersion-Mangle: auto
Repack: yes
Repack-Suffix: +dfsg
Compression: xz
